/*@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200&display=swap');*/
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;700&display=swap');
:root{
  --header-height: 3rem;
  --hue: 174;
  --sat: 63%;
  --first-color: hsl(var(--hue), var(--sat), 40%);
  --first-color-alt: hsl(var(--hue), var(--sat), 36%);
  --title-color: hsl(var(--hue), 12%, 15%);
  --text-color: hsl(var(--hue), 8%, 35%);
  --body-color: hsl(var(--hue), 100%, 99%);
  --container-color: #fff;
  --body-font: 'Nunito', sans-serif;
  --h1-font-size: 1.5rem;
  --normal-font-size: 0.938rem;
  --tiny-font-size: 0.625rem;
  --z-tooltip: 10;
  --z-fixed: 100;

  /* Home roots */
  --primary-color: #fca4a6;
  --primary-color-dark: #c1576a;
  --primary-color-darken: #a83e51;
  --color-danger: hsl(0, 95%, 65%);
  --big-font-size: 2.5rem;
  --z-index: 100;

  /* Login roots */
  --dew-color: hsl(130.91, 20%, 93%);
  /* #e7f2e9 */

  /* hostels */
  --light-color-lightness: 95%;
  --color-light: hsl(252, 30%, var(--light-color-lightness));
  --dark-color-lightness: 17%;
--color-dark: hsl(252, 30%, var(--dark-color-lightness));
--primary-color-hue: 252;
--color-gray: hsl(var(--primary-color-hue), 15%, 65%);
}
/* Responsive typography */
@media (min-width: 968px) {
  :root{
    --h1-font-size: 2.25rem;
    --normal-font-size: 1rem;
  }
}

/* BASE */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
}
body{
  margin: var(--header-height) 0 0 0;
  /*font-family: var(--body-font);*/
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  font-family: 'Nunito', sans-serif;
}
ul{ list-style: none; }
a{ text-decoration: none; }
img{ width: 100%; height: auto; }
.section{
  padding: 3rem 0 2rem;
}
#home{
  background: var(--primary-color);
}
.section__title{
  font-size: var(--h1-font-size);
  color: var(--title-color);
  text-align: center;
  margin-bottom: 1.5rem;
}
.section__height{
  height: 100vh;
}
.container{
  max-width: 100vw;
  /* margin-left: 1rem;
  margin-right: 1rem; */
}
.bd-grid{
  max-width: 100%;
  display: grid;
  grid-template-columns: 100%;
  column-gap: 2rem;
  margin-left: 1rem;
  margin-right: 1rem;
}
.header{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  /* background-color: var(--container-color); */
  background: rgba(255, 255, 255, .3);
  z-index: var(--z-fixed);
  transition: .4s;
}
.nav{
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 90vw;
}
.nav__img{
  width: 32px;
  border-radius: 50%;
}
.nav__logo{
  color: var(--title-color);
  font-weight: 600;
  padding: 5px 10px;
}
@media (max-width: 767px){
  .nav__menu{
    position: fixed;
    left: 0;
    bottom: 0;
    background-color: var(--container-color);
    box-shadow: 0 -1px 12px hsla(var(--hue), var(--sat), 15%, 0.15);
    width: 100%;
    height: 4rem;
    padding: 0 1rem;
    display: grid;
    align-content: center;
    border-radius: 1.25rem 1.25rem 0 0;
    transition: .4s;
  }
  .section{
    padding: 3rem 0 2rem;
  }
}

.nav__list, .nav__link { display: flex; }
.nav__link{
  flex-direction: column;
  align-items: center;
  row-gap: 0.25rem;
  color: var(--title-color);
  font-weight: 600;
}
.nav__list{
  justify-content: space-around;
}
.nav__name{
  font-size: var(--tiny-font-size);
  /* display: none; /* minimalist design */
}
.nav__icon{
  font-size: 1.5rem;
}
.active-link{
  position: relative;
  color: var(--first-color);
  transition: .3s;
}
/* minimalist design, active link */
.active-link::before{
  content: '';
  position: absolute;
  bottom: -0.5rem;
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background-color: var(--first-color);
}
.scroll-header{
  box-shadow: 0 1px 12px hsla(var(--hue), var(--sat), 15%, 0.15);
}
@media (max-width: 320px){
  .nav__name{ display: none; }
}
@media (min-width: 576px){
  .nav__list{
    justify-content: center;
    column-gap: 3rem;
  }
}
@media (min-width: 767px){
  body{ margin: 0; }
  .section{ padding: 0 0 2rem; }  /*comeback*/
  .nav{
    height: calc(var(--header-height) + 1.5rem); /*4.5rem*/
  }
  .nav__img{ display: none; }
  .nav__icon{ display: none; }
  .nav__name{
    font-size: var(--normal-font-size);
    /* display: block; minimalist*/
  }
  .nav__link:hover{ color: var(--first-color); }
  .active-link::before{
    content: '';
    position: absolute;
    bottom: -.75rem;
    width: 4px;
    height: 4px;
    background-color: var(--first-color);
    border-radius: 50%;
  }
}
@media (min-width: 1024px){
  .container{
    margin-left: auto;
    margin-right: auto;
  }
}

/* Home Styles */
@media (min-width: 800px) {
  :root{
    --big-font-size: 4rem;
    --normal-font-size: 1rem;
  }
}

@media (max-width: 800px) {
  .home__img{
    order: 1;
    width: 375px;
    height: 290px;
  }
  .home__data{
    margin: 3rem 0;
    padding: 2rem .5rem;
  }
}

.home{
  background-color: var(--primary-color);
  overflow: hidden;
}
.home__container{
  height: calc(100vh - var(--header-height));
  position: relative;
  grid-template-rows: repeat(2, max-content);
  row-gap: 1.5rem;
}
.home__img{
  position: relative;
  /* padding-top: 1rem; */
  justify-self: center;
  width: 300px;
  height: 300px;
  justify-content: center;
}
.home__img #ball1:before{
  content: '';
  position: absolute;
  width: 170px;
  height: 170px;
  border-radius: 50%;
  background: linear-gradient(-45deg, #8b33c5, #fca4a6);
  top: 35%;
  right: 50%;
  transform: translateY(-30%);
}
.home__img #ball2:before{
  content: '';
  position: absolute;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background: linear-gradient(-45deg, #fca4a6, #15a0e1);
  top: 15%;
  right: 10%;
  transform: translateY(-30%);
}
.home__img #ball3:before{
  content: '';
  position: absolute;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  background: linear-gradient(-45deg, #8b33c5, #15a0e1);
  top: 85%;
  right: 40%;
  transform: translateY(-30%);
}
.home__img img{
  position: absolute;
  top: 0;
  left: 0;
  /* width: 100%;
  height: 100%; */
}
.home__data{ color: #fff; }
.home__title{
  font-size: var(--big-font-size);
  line-height: 1.1;
  margin-bottom: 1rem;
  /* font-size: 3rem; */
  color: #eaeaeb;
  font-weight: 500;
}

p.home__description{
  margin-bottom: 2.5rem;
  font-size: 1.4rem;
  font-weight: 600;
  color: #000;
}
p.home__description i{ font-size: 1.2rem; }
.home__button{
  display: inline-block;
  background-color: var(--primary-color-dark);
  color: var(--white-color);
  padding: 1.125rem 2rem;
  border-radius: .5rem;
}
.home__button:hover{
  background-color: var(--primary-color-darken);
}

@media (min-width: 800px) {
  .home__container{
    height: 100vh;
    grid-template-columns: repeat(2, max-content);
    grid-template-rows: 1fr;
    row-gap: 0;
    align-items: center;
    justify-content: center;
  }
  .home__img{
    order: 1;
    width: 375px;
    height: 290px;
  }
  .home__img img{
    width: 375px;
  }
  .header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    /* background-color: var(--container-color); */
    background: rgba(255, 255, 255, .3);
    backdrop-filter: blur(10px);
    z-index: var(--z-fixed);
    transition: .4s;
  }
}

@media (min-width: 1020px) {
  .bd-grid {
    margin-left: auto;
    margin-right: auto;
    max-width: 90vw;
  }
  .home__container{
    justify-content: initial;
    column-gap: 1rem;
  }
  .home__img{
    width: 500px;
    height: 500px;
  }
  .home__img img{
    /* max-width: 100%;
    max-height: 100%; */
    width: 100%;
    height: 100%;
  }
  .header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    /* background-color: var(--container-color); */
    background: rgba(255, 255, 255, .3);
    backdrop-filter: blur(10px);
    z-index: var(--z-fixed);
    transition: .4s;
  }
  .section{ padding: 4.5rem 0 2rem; }
}


/* LOGIN STYLES */
#login{
  min-height: 100vh;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr;
  color: #303433;
  position: relative;
  overflow: hidden;
  background: var(--dew-color);
}
section.side, section.main{
  display: flex;
  justify-content: center;
  align-items: center;
}
.login-container{
  max-width: 450px;
  padding: 24px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.login-container p.title{
  text-transform: uppercase;
  font-size: 3rem;
  font-weight: 600;
  text-align: center;
  letter-spacing: 1px;
}
.login-container .separator{
  width: 180px;
  height: 4px;
  background-color: #843bc7;
  margin: 24px;
}
.login-container .welcome-message{
  text-align: center;
  font-size: 1.1rem;
  line-height: 28px;
  margin-bottom: 15px;
  color: #696969;
}
.login-container .student_login_errors, .vend_signup_errors{
  border-radius: 30px;
  text-align: center;
  align-items: center;
  justify-content: center;
  padding: 5px;
  line-height: 15px;
  background-color: var(--color-danger);
  color: #fff;
  font-weight: 500;
  margin-bottom: 5px;
  font-size: 0.95rem;
}
.login-container .login-form{
  width: 100%;
  display: flex;
  flex-direction: column;
}
.login-container .form-control{
  width: 100%;
  position: relative;
  margin-bottom: 24px;
}
.login-container input, button{
  border: none;
  outline: none;
  border-radius: 30px;
  font-size: 1.1rem;
}
.login-container input{
  width: 100%;
  background: #e6e6e6;
  color: #333;
  letter-spacing: 0.5px;
  padding: 14px 64px;
}
.login-container input:focus{ box-shadow: 0 0 1rem #8b33c5; }
.login-container input ~ i{
  position: absolute;
  left: 32px;
  top: 40%;
  transform: translateY(-38%);
  color: #888;
  transition: color 0.4s;
}
.login-container input:focus ~ i{ color: #843bc7; }
.login-container button.submit{
  color: #fff;
  padding: 14px 64px;
  margin: 10px auto;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 600;
  background-image: linear-gradient(to right, #8b33c5, #15a0e1);
  cursor: pointer;
  transition: opacity 0.4s ease;
}
.login-container button.submit:hover{ opacity: 0.9; }
#login .side::before{
  content: '';
  position: absolute;
  width: 1000px;
  height: 1000px;
  border-radius: 50%;
  background: linear-gradient(-45deg, #8b33c5, #15a0e1);
  /* top: -10%; */
  right: 61%;
  transform: translateY(-10%);
}
#login .side img{
  width: 80%;
  max-width: 80%;
  z-index: 3;
}
#login .adlinks{
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: green;
}
#login .adlinks a{ color: #8b33c5; }
@media (max-width: 780px) {
  #login{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #login .side{ display: none; }
  .login-container .student_login_errors{ font-weight: normal; font-size: 0.8rem; }
}

/* BLOG STYLES */
#blog{
box-sizing: border-box;
font-family: 'Nunito', sans-serif;
}
ul{ list-style: none; }
::selection{
  background-color: #7f7f7f;
  color: #fff;
}
.navigation{
  display: flex;
  flex-direction: column;
}
.logo{
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000;
  font-weight: 800;
  color: #fff;
  font-size: 2rem;
  text-transform: uppercase;
  padding: 10px;
}
.logo i{ margin-right: 5px; }
.blog-nav{ background-color: #fff; }
.blog-filter{
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  border-top: 1px solid rgba(0, 0, 0, 0.05);
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  background-color: #fafafa;
}
.blog-filter li{
  padding: 5px 15px;
  color: #838eab;
  cursor: pointer;
  margin: 3px;
  font-weight: 500;
  letter-spacing: 0.5px;
  user-select: none;
}
.blog-filter li:hover, .blog-filter-active{
  background-color: rgba(0, 0, 0, 0.03);
  color: #534f75!important;
  transition: all ease 0.3s;
}
.blog-container{
  display: grid;
  max-width: 1200px;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: auto;
  margin: auto;
  height: 90%;
  position: relative;
  overflow-x: hidden;
  overflow-y: scroll;
}
.blog-container::-webkit-scrollbar{ width: 5px; }
.blog-container::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: rgba(0, 0, 0, 0.5);
}
.blog-box{
  padding: 10px;
  background-color: #fff;
  margin: 20px;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.05);
  transition: all 0.3s ease;
  height: 315px!important;
}
.blog-box:hover{ box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.2); }
.blog-img{
  display: flex;
  position: relative;
  width: 100%;
  height: 170px;
  /* min-height: 185px; */
  overflow: hidden;
  border-radius: 5px;
}
.blog-img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.category{
  color: #fff;
  position: absolute;
  left: 10px;
  top: 10px;
  padding: 2px 10px;
  font-size: 0.9rem;
}
.events .category{
  background-color: #6e5eff;
}
.services .category{
  background-color: #ff695e;
}
.misc .category{
  background-color: #ff5eb7;
}
.blog-text strong{
  font-size: 1.2rem;
  color: #20232b;
  /*display: flex;*/
  font-weight: 400;
  margin: 10px 0px;
  line-height: 25px;
}
.category-time{
  display: flex;
  align-items: center;
}
.category-time span{ font-size: 0.8rem; }
.blog-category{
  padding: 3px 6px;
  color: #484f61;
  font-weight: 500;
  background-color: rgba(0, 0, 0, 0.05);
}
.published-time{
  margin-left: 10px;
  color: #db3838;
  font-weight: 500;
}
.publisher-profile{
  display: flex;
  align-items: center;
  margin-top: 10px;
}
.publisher-profile img{
  width: 30px;
  height: 30px;
  border-radius: 50%;
  object-position: center;
  object-fit: cover;
  overflow: hidden;
}
.publisher-profile span{
  color: #6d7ca1;
  font-size: 0.8rem;
  letter-spacing: 0.5px;
  font-weight: 500;
  margin-left: 10px;
}
.blog-text a strong:hover{
  color: #6d7ca1;
  transition: all ease 0.3s;
}
@media (max-width:1200px) {
  .blog-container{
    max-width: 1000px;
    height: 90%;
  }
  .blog-img{
    min-height: auto;
    height: 160px;
  }
}
@media (max-width:900px){
  .blog-container{
    max-width: 100%;
    grid-template-columns: 1fr 1fr;
    height: 90%!important;
  }
  .feature-img{
    width: 130px!important;
    height: 140px!important;
  }
  .pContainer{
    height: 75%!important;
  }
}
@media (max-width:600px){
  .blog-container{
    width: 90%;
    grid-template-columns: 1fr;
    height: 90%!important;
  }
  .blog-img{ height: 170px; }
  .logo{ font-size: 1.5rem; }
}
@media (max-width:500px){
  .blog-container{ width: 100%; height: 90%; }
}

/* MARKETPLACE STYLES */
@keyframes fade{
  0%{ opacity: 0; }
  100%{ opacity: 1; }
}
#marketplace nav{
  width: 100%;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.05);
}
#marketplace .m_navigation{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px 45px;
}
#marketplace .m_navigation h2{
  font-size: 1.2rem;
}
#marketplace .right-menu a{
  margin: 0px 10px;
  font-size: 1.2rem;
  color: rgba(0, 0, 0, 0.7);
}
#marketplace .right-menu a:hover{
  color: #0b9d8a;
  transition: all ease 0.3s;
}
#marketplace .fa-heart-o{ position: relative; }
#marketplace .num-cart-product {
  position: absolute;
  top: -13px;
  right: -20px;
  width: 25px;
  height: 25px;
  font-size: 0.8rem;
  border-radius: 50%;
  background-color: #0b9d8a;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 400;
}
#marketplace .form{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0px;
  left: 0px;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 102;
}
#marketplace .sign-in-form, #marketplace .sign-up-form{
  width: 420px;
  padding: 20px 10px;
  background-color: #fff;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border-radius: 5px;
  position: relative;
}
#marketplace .sign-in-form form, #marketplace .sign-up-form form{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
}
#marketplace .sign-in-form strong, #marketplace .sign-up-form strong{
  color: #272727;
  font-size: 2rem;
  margin: 2px 7px 7px 7px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  font-weight: 500;
}
#marketplace .sign-in-form input, #marketplace .sign-up-form input{
  width: 90%;
  height: 45px;
  margin: 6px 0px;
  padding: 0px 10px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  outline: none;
  border-radius: 7px;
}
#marketplace .sign-in-form input::placeholder, #marketplace .sign-up-form input::placeholder{ color: rgba(0,0,0,0.1); }
#marketplace .sign-in-form input[type="submit"], #marketplace .sign-up-form input[type="submit"]{
  background-color: #0b9d8a;
  color: #fff;
  border: none;
  outline: none;
  text-transform: uppercase;
  margin-top: 10px;
  border-radius: 3px;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}
#marketplace .form-btns{
  width: 90%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}
#marketplace .form-btns a{
  color: #4d4d4d;
  font-size: 0.9rem;
}
#marketplace .sign-up-btn{
  border-bottom: 1px dashed #868686;
  line-height: 16px;
}
#marketplace .form-cancel{
  position: absolute;
  right: 20px;
  top: 10px;
  color: #868686;
}
#marketplace .sign-in-form, #marketplace .sign-up-form, #marketplace .form{ display: none; }
#marketplace .login-active, #marketplace .login-active .sign-in-form{
  display: flex;
  animation: fade 0.3s;
}
#marketplace .sign-up-active, #marketplace .sign-up-active .sign-up-form{
  display: flex;
  animation: fade 0.3s;
}

#marketplace .full-slider-box{
  width: 100%;
  height: 30vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
  border-bottom: 4px solid #0b9d8a;
  border-top: 4px solid #0b9d8a;
}
#marketplace .f-slide-1{ background-image: url(../images/bg.jpg); }
#marketplace .f-slide-2{ background-image: url(../images/bg2.jpg); }
#marketplace .f-slide-3{ background-image: url(../images/bg3.jpg); }
#marketplace .slider-text-container{
  width: 80%;
  height: 80%;
  display: flex;
  align-items: center;
}
#marketplace .f-slider-text{
  display: flex;
  flex-direction: column;
  margin-right: auto;
}
#marketplace .f-slider-text strong{
  color: #333;
  font-size:3rem;
  line-height: 55px;
  margin-top: 5px;
  letter-spacing: 1px;
}
#marketplace .f-slider-text span{
  text-transform: uppercase;
  letter-spacing: 6px;
  font-weight: 500;
  color: #666;
  font-size: 1.2rem;
}
#marketplace .f-slider-btn{
  width: 170px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-transform: uppercase;
  background-color: #0b9d8a;
  letter-spacing: 2px;
  margin-top: 14px;
}
#marketplace .f-slider-text strong font{ color: #0b9d8a; }
#marketplace .feature-heading{
  display: flex;
  justify-content: center;
  align-items: center;
}
#marketplace .feature-heading h2, #marketplace .arrival-heading strong{
  font-size: 1.1rem;
  color: #1b1919;
  letter-spacing: 1px;
  text-transform: uppercase;
  font-weight: 600;
  margin-top: 20px;
  padding: 5px 30px;
  border: 1px solid #e0e0e0;
}
#marketplace .feature-box{
  margin: 0px 10px;
  border-radius: 10px;
  overflow: hidden;
  border: 1px solid #f7f7f7;
  border-radius: 10px;
  position: relative;
}
#marketplace .feature-box:hover{
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
}
#marketplace .feature-img{
  width: 190px;
  height: 200px;
  cursor: grab;
  position: relative;
}
#marketplace .feature-box img{
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}
#marketplace .feature-details{
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  border-top: 1px solid #f3f3f3;
}
#marketplace .feature-details .f-name{ color: #727272; }
#marketplace .feature-details .f-price{
  color: #333;
  font-size: 1rem;
  font-weight: 400;
}
#marketplace .feature-details .f-price s{
  color: red;
  font-size: 0.8rem;
}
#marketplace .add-wish{
  position: absolute;
  right: 5px;
  top: 5px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  background-color: #0b9d8a;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
  display: none;
  animation: fade 0.3s;
}
#marketplace .add-wish:hover{
  background-color: #f76b6a;
  transition: all ease 0.2s;
}
#marketplace .feature-box:hover .add-wish, #marketplace .feature-box:focus-within .add-wish{ display: flex; }
#marketplace .item{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
#marketplace #autoWidth{
  display: flex;
  justify-content: center!important;
  margin: 10px auto;
}
#marketplace .arrival-heading{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
#marketplace .arrival-heading strong{
  color: #fff;
  background: #202020;
  font-weight: 500;
}
#marketplace .arrival-heading p{
  color: #808080;
  margin: 10px;
  font-size: 0.9rem;
}
#marketplace .pContainer{
  height: 80%;
  position: relative;
  overflow-x: hidden;
  overflow-y: scroll;
}
.pContainer::-webkit-scrollbar{ width: 5px; }
.pContainer::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: rgba(0, 0, 0, 0.5);
}
@media (max-width:1010px) {
  #marketplace .full-slider-box{ height: 30vh; }
  #marketplace .f-slider-text span{ font-size: 0.9rem; }
  #marketplace .f-slider-text strong{
    font-size: 2rem;
    line-height: 20px;
  }
}
@media (max-width:600px) {
  .f-slider-text strong{
    font-size: 1.2rem;
    line-height: 15px;
  }
  .full-slider-box{ height: 20vh; }
  .f-slider-text span{ font-size: 0.8rem; }
  .f-slider-btn{
    width: 120px;
    height: 30px;
    font-size: 0.8rem;
  }
  .feature-heading h2{ font-size: 1.2rem; color: red; }
  .feature-img{
    width: 130px!important;
    height: 140px!important;
  }
  .new-arrival strong, .feature-heading strong{ font-size: 1rem; }
  .new-arrival p, .feature-heading p{ font-size: 0.8rem; text-align: center; }
  #marketplace .pContainer{ height: 75%; }
}

/* HOSTEL STYLES */
#hostels{
  background: var(--color-light);
}
.hNav{
  width: 100%;
  background: #fff;
  padding: 0.7rem 0;
  position: relative;
  top: 0;
  z-index: 10;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.3);
}
.hNav .hCont{
  display: flex;
  align-items: center;
  justify-content: center;
}
.hNav .search-bar{
  background: var(--color-light);
  border-radius: 2rem;
  padding: 0.6rem 1rem;
}
.hNav .search-bar #list{
  background: transparent;
  width: 30vw;
  margin-left: 1rem;
  font-size: 0.9rem;
  color: var(--color-dark);
  border: none;
  outline: none;
  font-weight: 600;
  padding: 5px;
}
.hNav .search-bar:hover{
  box-shadow: 0 0 1rem #f76b6a;
}
.hNav .search-bar #list::placeholder{
  color: var(--color-gray);
}
.hNav i{ font-size: 1.5rem; color: red; }
.hContainer{
  display: grid;
  max-width: 1200px;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: auto;
  margin: auto;
  height: 90%;
  position: relative;
  overflow-x: hidden;
  overflow-y: scroll;
}
.hContainer::-webkit-scrollbar{ width: 5px; }
.hContainer::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: rgba(0, 0, 0, 0.5);
}
.hostel_card{
  position: relative;
  margin: 10px;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  height: 180px;
  cursor: pointer;
  transition: all 0.3s ease;
}
.hostel_card:hover{ box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.2); }
.hCat{
  color: #fff;
  position: absolute;
  right: 10px;
  top: 10px;
  padding: 2px 10px;
  font-size: 0.9rem;
  text-transform: uppercase;
}
.legon .hCat{ background-color: hsl(0, 95%, 65%); }
.knust .hCat{ background-color: hsl(120, 95%, 40%); }
.uener .hCat{ background-color: hsl(22, 75%, 60%); }
.upsa .hCat{ background-color: hsl(296, 100%, 50%); }
.umat .hCat{ background-color: hsl(252, 30%, 10%); }
.ucc .hCat{ background-color: hsl(252, 75%, 60%); }
.uds .hCat{ background-color: #0b9d8a; }
.central .hCat{ background-color: #3f526e; }
.methodist .hCat{ background-color: #ef0530; }
/* more colors
#f8caa8, #f7c7a4, #f9d2b1
#db113f, #f02d46, #e51236, #ef0530
#49d6ff, #232c39, #2c3c52, #3f526e
*/
.hostel_card img{
  width: 100%;
  height: 100%;
  /* box-sizing: border-box; */
  object-fit: cover;
  object-position: center;
}
.hostel_content{
  position: absolute;
  top: 70%;
  left: 0;
  transform: translate(0%, -20%);
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding: .5rem;
  background: linear-gradient(hsl(0 0% 0% / 0), hsl(20 0% 0% / 0.3) 20%, hsl(0 0% 0% / 1));
  width: 100%;
  height: 40%;
  /* transform: translate(-20%, -80%); */
}
.card-title{
  position: relative;
  width: max-content;
  color: #fff;
}
.card-title::after{
  content: "";
  position: absolute;
  height: 4px;
  left: calc(1rem * -1);
  bottom: -2px;
  width: calc(100% + 1rem);
  background: hsl(142, 90%, 61%);
  transform-origin: left;
  transition: transform 500ms ease;
  border-radius: 10px;
}
.hostel_card:hover .card-title::after{ transform: scaleX(1); }
@media (hover) {
  .hostel-content{
    transform: translateY(0%);
    transition: transform 500ms ease;
  }
  .hostel_card:hover .hostel-content{
    transform: translateY(0);
    transition-delay: 500ms;
  }
  .hostel_card:focus-within .hostel-content{ transition-duration: 0ms; }
  .hostel-content > *:not(.card-title){
    opacity: 0;
    transition: opacity 500ms linear;
  }
  .hostel_card:hover .hostel-content > *:not(.card-title){
    opacity: 1;
    transition-delay: 1000ms;
   }
   .hostel_card:focus-within .hostel-content > *:not(.card-title){
     opacity: 1;
     transition-delay: 500ms;
    }
    .card-title::after{
      transform: scaleX(0);
    }
}
@media (max-width:1200px){
  .hContainer{
    max-width: 1000px;
    height: 90%;
    /* border: 2px solid blue; */
  }
}
@media (max-width:900px){
  .hContainer{
    max-width: 100%;
    grid-template-columns: 1fr 1fr;
  }
  .hNav .search-bar #list{ width: 50vw; }
}
@media (max-width:600px){
  .hContainer{
    width: 90%;
    grid-template-columns: 1fr;
  }
}
@media (max-width:500px){
  .hContainer{ width: 100%; height: 90%; }
  .hNav .search-bar #list{ width: 60vw; }
}
